{% extends 'base.html.twig' %}

{% block bodyHeader %}
    <a href="{{ path('admin_category_new') }}" class="btn btn-success btn-sm">Ajouter une catégorie</a>
{% endblock %}

{% block body %}
    <div class="card card-dark">
        <div class="card-content">
            <div class="card-header text-light">
                <h1>Liste des categories</h1>
            </div>
            <div class="card-body">
                <table class="table table-dark table-borderless col-md-8 col-lg-6">
                    <thead class="border-bottom">
                    <tr>
                        <th>Libellé</th>
                        <th class="col-lg-4"></th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for category in categories %}
                        <tr>
                            <td class="align-middle">
                                {{ category.label }}
                            </td>
                            <td class="text-right align-middle">
                                <a href="{{ path('admin_category_edit', {id: category.id}) }}"
                                   class="btn btn-warning btn-sm">
                                    Modifier
                                </a>
                                <a href="{{ path('admin_category_delete', {id: category.id}) }}"
                                   class="btn btn-danger btn-sm">
                                    Supprimer
                                </a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}